Create shareable deep links configuration
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/shareable-deep-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "myapp.com",
"patterns": {
"posts": "/posts/{postId}",
"communities": "/communities/{communityId}",
"users": "/users/{userId}",
"livestreams": "/livestreams/{livestreamId}"
}
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/shareable-deep-links"
payload = {
"domain": "myapp.com",
"patterns": {
"posts": "/posts/{postId}",
"communities": "/communities/{communityId}",
"users": "/users/{userId}",
"livestreams": "/livestreams/{livestreamId}"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: 'myapp.com',
patterns: {
posts: '/posts/{postId}',
communities: '/communities/{communityId}',
users: '/users/{userId}',
livestreams: '/livestreams/{livestreamId}'
}
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/shareable-deep-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": "myapp.com",
"patterns": {
"posts": "/posts/{postId}",
"communities": "/communities/{communityId}",
"users": "/users/{userId}",
"livestreams": "/livestreams/{livestreamId}"
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Create shareable deep links configuration
Create or update shareable deep links configuration with domain and path patterns.
PUT
/
api
/
v3
/
network-settings
/
shareable-deep-links
Create shareable deep links configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Configuration for shareable deep links
⌘I